{
  "format_version": "1.21.60",
  "minecraft:block": {
    "description": {
      "identifier": "energistics_expansion:induction_furnace",
      "traits": {
        "minecraft:placement_direction": {
          "enabled_states": ["minecraft:cardinal_direction"],
          "y_rotation_offset": 180
        }
      },
      "states": {
        "energistics_expansion:working": [false, true]
      }
    },
    "components": {
      "minecraft:custom_components": [
        "fluffyalien_energisticscore:machine",
        "energistics_expansion:induction_furnace"
      ],
      "minecraft:display_name": "%energistics_expansion.induction_furnace.name\n§o§eEnergistics §cExpansion§r",
      "tag:fluffyalien_energisticscore:machine": {},
      "tag:fluffyalien_energisticscore:io.category.energy": {},
      "tag:fluffyalien_energisticscore:consumer.category.energy": {},

      "minecraft:geometry": "geometry.energistics_expansion.induction_furnace",
      "minecraft:material_instances": {
        "*": {
          "texture": "energistics_expansion:induction_furnace",
          "render_method": "alpha_test"
        }
      },
      "minecraft:destructible_by_explosion": false,
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 1
      },
      "minecraft:tick": {
        "interval_range": [20, 20]
      }
    },
    "permutations": [
      {
        "condition": "q.block_state('energistics_expansion:working') == true",
        "components": {
          "minecraft:material_instances": {
            "*": {
              "texture": "energistics_expansion:induction_furnace_on",
              "render_method": "alpha_test"
            }
          }
        }
      },
      {
        "condition": "q.block_state('energistics_expansion:working') == false",
        "components": {
          "minecraft:material_instances": {
            "*": {
              "texture": "energistics_expansion:induction_furnace",
              "render_method": "alpha_test"
            }
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'north' ",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 0, 0]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'east' ",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 270, 0]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'south' ",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 180, 0]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'west' ",
        "components": {
          "minecraft:transformation": {
            "rotation": [0, 90, 0]
          }
        }
      }
    ]
  }
}
